Status: Resolved Start date: 11/10/2017
Priority: High % Done: 100%
Assignee:

Category: Weights

Description

Dear Peter,

| have a few more questions with regard to my original support #758.

1. When | generate my new weighting variable, newwgt, 600 observations in my estimation sample are assigned a zero meaning
they are dropped. Why do you guys assign zero weights in w_indinus, w_indinub, etc. ?

2. The sample mean of my newwgt is 1.1 with a s.d. of 0.58. Does this look reasonable to you as in theory the mean should be 1.
3. Does USoc normalize weights so that N observations in weighted data equal N observations in unweighted data? It seems to me
that you guys do that.

4. Given the normalization, how would | find the number of weighted and unweighted observations with Stata for my estimation
sample?

History

#1 - 11/10/2017 04:48 PM - Peter Lynn
- Assignee changed from Peter Lynn to Nico Ochmann

- % Done changed from 0 to 70

Nico,

1. The provision of weights requires the ability to estimate probabilities of continuing to respond over multiple waves. This is true of cross-sectional
weights as well as longitudinal ones, as they are derived from the longitudinal ones (how this was done is described in section 3.8.3.10 of the User
Guide). In consequence, a person in a household where there is no person who has been enumerated at every wave up to wave w will get a weight of
zero. Such people should not be given a weight, as the weights for all other sample members are calculated in a way that compensates for these
"missing" people.

2. If you are pooling all people with a non-zero value of the respective weight in each of the six waves, the mean of newwgt would be 1.0. But it looks
like you have dropped some cases of some kind?

3. Yes, this is the final step in the derivation of each weight, as described in the User Guide. Thus, the mean of each weight, amongst cases with a
non-zero value, is always 1.0.

4. sum newwgt if newwgt>0 - 'Obs’ is the unweighted number of observations. total newwgt if newwgt>0 - 'Total' is the weighted number of
observations.

Peter
#2 - 11/14/2017 03:15 PM - Stephanie Auty

- Status changed from New to Feedback

- Private changed from Yes to No

#3 - 11/21/2017 11:44 AM - Andrew Brown

Hi

Could | ask a related question to this?

For those cases not assigned a weight because 'a person in a household where there is no person who has been enumerated at every wave up to
wave w will get a weight of zero. Such people should not be given a weight, as the weights for all other sample members are calculated in a way that
compensates for these "missing" people'

How could/ should they be included in any analysis as SPSS 'makes them invisible' - could they be assigned the mean weight of 1?

Many thanks

Andrew

#4 - 11/28/2017 12:22 PM - Stephanie Auty

From: Nico Ochmann [mailto:nico.ochmann@manchester.ac.uk]
Sent: 10 November 2017 18:24
https://iserredex.essex.ac.uk/support/issues/758
mailto:nico.ochmann@manchester.ac.uk

To: usersupport@understandingsociety.ac.uk
Subject: RE: [Understanding Society User Support - Support #877] weights for pooled cross-sections over waves (a)-(f)

Hi Peter,

thank you very much for the quick and informative reply.
| appreciate your help over and over again.

Best wishes.

Nico

#5 - 12/18/2017 02:39 PM - Stephanie Auty

- Status changed from Feedback to Resolved

- % Done changed from 70 to 100

#6 - 01/09/2018 01:48 PM - Stephanie Auty

- Status changed from Resolved to Closed

#7 - 08/18/2022 05:26 PM - Understanding Society User Support Team
- Status changed from Closed to Resolved

- Assignee deleted (Nico Ochmann)
